<?php
/* 
 * --------------------------------------------------------------
 * patworx multimedia GmbH
 * http://www.patworx.de
 * Copyright (c) 2014 patworx multimedia GmbH
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 * 
 */

require (DIR_FS_CATALOG . 'cleverreach/classes/cleverreach_api.class.php');

if (!defined('cleverreach_active')) {
	xtc_db_query("INSERT INTO `" . TABLE_CONFIGURATION . "` (configuration_key, configuration_value, configuration_group_id, set_function, sort_order) VALUES ('cleverreach_active', 'false', 8524, 'gm_cfg_select_option(array(\'true\', \'false\'),', 1)");
}
if (!defined('cleverreach_api_key')) {
	xtc_db_query("INSERT INTO `" . TABLE_CONFIGURATION . "` (configuration_key, configuration_group_id, sort_order) VALUES ('cleverreach_api_key', 8524, 2)");
}
if (!defined('cleverreach_nl_list_id')) {
	xtc_db_query("INSERT INTO `" . TABLE_CONFIGURATION . "` (configuration_key, configuration_group_id, sort_order) VALUES ('cleverreach_nl_list_id', 8524, 3)");
}
if (!defined('cleverreach_cron_pass')) {
	xtc_db_query("INSERT INTO `" . TABLE_CONFIGURATION . "` (configuration_key, configuration_group_id, sort_order) VALUES ('cleverreach_cron_pass', 8524, 4)");
}
if (!defined('cleverreach_prio')) {
	xtc_db_query("INSERT INTO `" . TABLE_CONFIGURATION . "` (configuration_key, configuration_value, configuration_group_id, set_function, sort_order) VALUES ('cleverreach_prio', 'Cleverreach', 8524, 'gm_cfg_select_option(array(\'Webshop\', \'Cleverreach\'),', 5)");
}

$table_check = xtc_db_query("SHOW TABLES LIKE 'cleverreach_api_sync'");
$tableExists = xtc_db_num_rows($table_check) > 0;

if (!$tableExists) {	
	xtc_db_query("CREATE TABLE `cleverreach_api_sync` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `customers_id` int(11) NOT NULL,
					  `email` varchar(255) NOT NULL,
					  `action` varchar(10) NOT NULL,
					  `status` tinyint(1) NOT NULL,
					  `created_at` datetime NOT NULL,
					  `updated_at` datetime NOT NULL,
					  PRIMARY KEY (`id`),
					  KEY `customers_id` (`customers_id`)
					) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;");	
}

require_once (DIR_FS_CATALOG . 'cleverreach/lang/' . $_SESSION['language'] . '/' . $_SESSION['language'] . '.php');


